/**
 * @namespace res Classes to use/edit toolbox resources in memory
 *
 * The res namespace provides classes to use/edit toolbox resources
 * in memory.
 *
 * Resource can be used from the "Res" file automatically
 * loaded with the application, from a read only file using the
 * ResFile class, from an editable set of resources created or
 * loaded using the ResEditor class or by using the individual
 * classes in this namespace that exist for each toolbox resource
 * item type.
 *
 * A class derived from ResObject can be used to create new
 * objects of the same type. i.e. A ResMenu object can be used
 * with the Menu class to create a new menu.
 *
 * The ResGadget derived classes are used with the add_gadget
 * method on the Window class to add a new gadget to a Window.
 *
 * The ResMenuItem class is used with the add method on the
 * Menu class to add new menu items to a menu.
 */

